#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_custom_target( gtk2mmapp.tar.gz ALL
  COMMAND ${TAR} zcf gtk2mmapp.tar.gz -C ${CMAKE_CURRENT_SOURCE_DIR}
    acconfig.h autogen.sh gtk2mm.glade main_window.cc
    main_window_glade.hh Makefile.am app-Makefile.am
    configure.in gtk2mm.gladep main_window.hh app.kdevelop
    gtk2mm.cc main_window_glade.cc src-Makefile.am config.h
    gtk2mmapp.png
)


install( FILES
    ${CMAKE_CURRENT_BINARY_DIR}/gtk2mmapp.tar.gz gtk2mmapp.png
  DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard )


install( FILES
    gtk2mmapp.kdevtemplate
  DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/templates )
